I2O_PROC_IOP_ADD(9)

NAME
i2o_proc_iop_add - Add an I2O controller to the i2o proc tree

SYNOPSIS

int i2o_proc_iop_add(struct proc_dir_entry * dir, struct i2o_controller * c);

ARGUMENTS

dir
    parent proc dir entry

c
    I2O controller which should be added

DESCRIPTION

Add the entries to the parent proc dir entry. Also each device is added to the controllers proc dir entry.

Returns 0 on success or negative error code on failure.

COPYRIGHT